<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Services | Midtown Hotel</title>
    <?php require('./components/link.php') ?>
    <style>
        .service-hero, .sauna-service{
            position: relative;
            height: 100vh;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
            width: 100%;
            animation: service-slide 15s infinite;
            display: flex;
            flex-direction: column;
        }
        @keyframes service-slide{
            0%{
                background-image: url(images/service1.jpg);
            }
            33%{
                background-image: url(images/service1.jpg);
            }
            33.01%{
                background-image: url(images/service_page2.jpg);
            }
            66%{
                background-image: url(images/service_page2.jpg);
            }
            66.01%{
                background-image: url(images/service_page3.jpg);
            }
            100%{
                background-image: url(images/service_page3.jpg);
            }
        }
        .pre-header-subtitle{
            width: 30%;
        }
        .pool-pannel, .pool-frame{
            margin-top: 200px;
        }
        .service-frame{
            display: flex;
            align-items: center;
            gap: 20px; 
            margin-bottom: 50px;
        }
        .service-frame1{
            width: 60px; 
            height: 80px; 
            border: 1px solid black;
        }
        .service-frame2{
            width: 40px; 
            height: 60px; 
            border: 1px solid black; 
            margin-top: 10px; 
            margin-left: 10px; 
            display: flex; 
            justify-content: center; 
            align-items: center;
            font-size: 30px;
        }
        .service-title{
            text-transform: uppercase; 
            letter-spacing: 5px;
            font-size: 12px;
        }
        .service-subtilte{
            width: 50%;
            font-size: 50px;
            font-weight: 500;
            margin-bottom: 50px;
            text-align: center;
        }
        .flip-container{
            display: flex;
            flex-direction: row;
            gap: 20px;
            width: 90%;
            align-items: center;
            justify-content:center;
        }
        .flip-card{
            background-color: transparent;
            width: 400px;
            height: 500px;
        }
        .flip-card-inner{
            position: relative;
            width: 100%;
            height: 100%;
            text-align: center;
            transition: transform 0.8s;
            transform-style: preserve-3d;
        }
        .flip-card:hover .flip-card-inner{
            transform: rotateY(180deg);
        }
        .flip-card-front, .flip-card-back{
            position: absolute;
            width: 100%;
            height: 100%;
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
        }
        .flip-card-font-title{
            position: absolute; 
            align-items: center; 
            display: flex; 
            justify-content: center; 
            width:100%; 
            height:100%;
            padding: 20px;
            font-size: 34px;
            font-weight: 500;
            color: white;
            background-color: rgba(255, 255, 255, 0.2);
        }
        .flip-card-back{
            background-color: #EEF7FF;
            color: #1F1914;
            transform: rotateY(180deg);
            display: flex; 
            flex-direction: column;
            justify-content: center;
            align-items: center; 
        }
        .sauna-container{
            width: 90%;
            height: 100%;
            display:flex;
            justify-content: space-between;
            gap: 50px;
            margin-bottom: 50px;
        }
        .sauna-wrapper{
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
        .sauna-service{
            animation: sauna-slide 5s infinite;
            height: 750px;
            width: 80%;
        }
        @keyframes sauna-slide{
            0%{
                background-image: url(images/service2.jpg);
            }
            50%{
                background-image: url(images/service2.jpg);
            }
            50.01%{
                background-image: url(images/service_page2.jpg);
            }
            100%{
                background-image: url(images/service_page2.jpg);
            }
        }
        .sauna-text{
            width: 90%;
            display: flex; 
            justify-content: space-between; 
            border-bottom: 1px solid #B3A398; 
            padding-top: 20px;
            padding-bottom: 20px;
            font-size: 20px;
        }
        .accordion-container{
            background-color: white;
            width: 80%; 
            height: 100%; 
            margin-bottom: 50px;
        }
        .accordion{
            display: flex;
            align-items: stretch;
            height: 700px;
            background-color: #eee;
        }
        .accordion-slide{
            position: relative;
            padding-left: 130px;
            max-width: 130px;
            width: 100%;
            background-color: #777;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
            transition: max-width 0.3s;
        }
		.accordion-slide-label{
			position: absolute;
			top: 0;
			left: 0;
			bottom: 0;
			width: 140px;
			display: flex;
			align-items: center;
			justify-content: flex-start;
			padding-top: 30%;
			writing-mode: vertical-lr;
			transform: rotate(180deg);
			transition: background-color 0.3s;
			cursor: pointer;
			user-select: none;
			color: #fff;
			font-size: 20px;
			font-weight: 600;
			text-transform: uppercase;
		}
        .accordion-slide:nth-child(1) .accordion-slide-label{
			background-color: #4F6F52;
		}
		.accordion-slide:nth-child(2) .accordion-slide-label{
			background-color: #739072;
		}
		.accordion-slide:nth-child(3) .accordion-slide-label{
			background-color: #86A789;
		}
		.accordion-slide:nth-child(4) .accordion-slide-label{
			background-color: #BFD8AF;
		}
		.accordion-slide:nth-child(5) .accordion-slide-label{
			background-color: #D2E3C8;
		}
        .accordion-slide.active{
			max-width: 1404px;
			background-color: #ccc;
        }
		.accordion-slide .accordion-slide-label{
			background-color: transparent;
		}
        /*----- Responsive -----*/
        @media (max-width: 1200px) {
            .accordion-container{
                width: 90%;
            }
            .accordion {
                height: 500px;
            }
            .accordion-slide {
                padding-left: 50px;
                max-width: 50px;
            }
			.accordion-slide-label {
				font-size: 16px;
				letter-spacing: 0.5px;
				width: 50px;
			}
            .sauna-service{
                width: 100%;
            }
		}
        @media (max-width:980px){
            .pre-header-subtitle{
                width: 80%;
            }
            .service-frame1{
                width: 40px; 
                height: 60px; 
            }
            .service-frame2{
                width: 20px; 
                height: 40px;
                font-size: 16px;
            }
            .service-subtilte{
                width: 90%;
            }
            .sauna-container{
                width: 100%;
                flex-direction: column;
                justify-content: start;
            }
            .sauna-service{
                height: 550px;
                width: 90%;
            }
            .sauna-text{
                padding-top: 10px;
                padding-bottom: 10px;
                font-size: 16px;
            }
        }
        @media (max-width:768px) {
            .pool-pannel, .pool-frame{
                margin-top: 100px;
            }
            .service-subtilte{
                font-size: 40px;
            }
            .flip-container{
                flex-direction: column;
            }
            .flip-card {
                width: 320px;
                height: 450px;
            }
            .accordion-slide{
                padding-left: 0;
                max-width: 0;
                width: 0;
            }
			.accordion-slide-label{
				font-size: 10px;
				font-weight: 400;
				letter-spacing: 2px;
				width: 0;
				overflow: hidden;
			}
			.accordion-slide.active{
				padding-left: 20px;
				max-width: 100%;
				width: 100%;
            }
			.accordion-slide.active .accordion-slide-label{
				width: 20px;
			}
			.accordion-slide.active + .accordion-slide{
				padding-left: 20px;
				width: 20px;
            }
			.accordion-slide.active + .accordion-slide .accordion-slide-label{
				width: 20px;
			}
			.accordion-slide-prev{
				padding-left: 20px;
				width: 20px;
            }
			.accordion-slide-prev .accordion-slide-label{
				width: 20px;
			}
        }
        @media (max-width:450px) {
            .service-subtilte{
                font-size: 30px;
            }
            .sauna-container{
                gap: 20px;
            }
            .service-hero{
                height: 80vh;
            }
            .sauna-service{
                height: 450px;
                width: 90%;
            }
        }
    </style>
</head>
<body>
    <!--Hero & Navbar section-->
    <div class="service-hero">
        <div class="load"></div>
        <?php require('./components/header.php') ?>
        <div class="hero-content">
            <div class="hero-head">
                <h1 class="hero-title">Services and Facilities</h1>
                <p class="hero-subtitle">Exceptional service - endless possibilities</p>
            </div>
        </div>
    </div>
    <!--pre section + pool section-->
    <div class="panel pool-pannel" data-color="white">
        <img src="./images/logo.png" class="pre-header-img" style="width: 100px; margin-bottom: 40px;"/>
        <h1 class="pre-header">We craft enchanting moments of tranquility and serenity, far away from the chaos and stress of daily life</h1>
        <p class="pre-header " style="font-size: 16px;">We ensure the well-being of your body, invigorate your senses, and provide tranquility for your mind. Our pools, suana, and massage therapy have become synonymous with relaxation and wellness.</p>
        <div class="service-frame pool-frame">
            <div class="service-frame1">
                <div class="service-frame2">I</div>
            </div>
            <p class="service-title">Pools</p>
        </div>
        <p class="service-subtilte">Relax with massaging spa jets in the perfect water temperature</p>
        <p class="pre-header" style="font-size: 18px;">By blending expertise, hospitality, and a commitment to excellence, 
        these dedicated professionals ensure that every splash is met with delight, making the hotel pool a cherished haven for travelers far and wide.</p>
        <div class="flip-container" style="margin-top: 50px;">
            <div class="flip-card">
                <div class="flip-card-inner">
                    <div class="flip-card-front"> 
                        <div class="flip-card-font-title">
                            <p>Outdoor Relaxation Pool</p>
                        </div>
                        <img src="./images/presec2.jpg" alt="Avatar" style="width:100%; height:100%;">
                    </div>
                    <div class="flip-card-back">
                        <p style="color: #B0A695; font-size: 12px; text-transform: uppercase; letter-spacing: 2px;">Seasonal</p>
                        <h3>Outdoor Pool</h3>
                        <p style="font-size: 14px; padding: 10px;">Our guests can enjoy an outdoor relaxation and leisure pool with a summer bar from May until September</p>
                    </div>
                </div>
            </div>
            <div class="flip-card">
                <div class="flip-card-inner">
                    <div class="flip-card-front"> 
                        <div class="flip-card-font-title">
                            <p> Indoor Relaxation Pool</p>
                        </div>
                        <img src="./images/service_page1.jpg" alt="Avatar" style="width:100%; height:100%;">
                    </div>
                    <div class="flip-card-back">
                        <p style="color: #B0A695; font-size: 12px; text-transform: uppercase; letter-spacing: 2px;">All season</p>
                        <h3>Indoor Pool</h3>
                        <p style="font-size: 14px; padding: 10px;"> Throughout the year and regardless of the weather conditions, 
                        there is an indoor pool dedicated to relaxation and rest with measuring 22 x 20 m</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--massage section-->
    <div class="panel" data-color="cream" style="margin-top: 100px;">
        <div class="service-frame" style="margin-top: 100px;">
            <div class="service-frame1">
                <div class="service-frame2">II</div>
            </div>
            <p class="service-title">Massage</p>
        </div>
        <p class="service-subtilte">Relax, Rejuvenate, and Unwind with Every Touch</p>
        <p class="pre-header" style="font-size: 18px;">The challenges of everyday life can place a significant burden on your physical well-being. 
        This is why it is crucial to prioritize self-care. Our massage sessions are dedicated to ensuring your body functions optimally,
        enabling you to participate in activities such as completing a half marathon without any hindrances</p>
        <div class="accordion-container">
            <div class="accordion">
                <div class="accordion-slide accordion-slide-first active" style="background-image:url(images/massage1.jpg)">
                    <div class="accordion-slide-label">
                        01 | Aromatherapy massages
                    </div>
                </div>
                <div class="accordion-slide" style="background-image:url(images/massage2.jpg)">
                    <div class="accordion-slide-label">
                        02 | Deep tissue massages
                    </div>
                </div>
                <div class="accordion-slide" style="background-image:url(images/massage3.jpg)">
                    <div class="accordion-slide-label">
                        03 | Hot stone massages
                    </div>
                </div>
                <div class="accordion-slide" style="background-image:url(images/massage4.jpg)">
                    <div class="accordion-slide-label">
                        04 | Thai massages
                    </div>
                </div>
                <div class="accordion-slide" style="background-image:url(images/massage5.jpg)">
                    <div class="accordion-slide-label">
                        05 | Swedish massage
                    </div>
                </div>
            </div>
        </div>    
    </div>
    <!--sauna section-->
    <div class="panel" data-color="pink" style="margin-top: 100px;">
        <div class="service-frame" style="margin-top: 100px;">
            <div class="service-frame1">
                <div class="service-frame2">III</div>
            </div>
            <p class="service-title">Sauna</p>
        </div>
        <p class="service-subtilte">Recharge batteries and strengthen immune system with sauna</p>
        <p class="pre-header" style="font-size: 18px;">Imagine the blissful experience of indulging in the rejuvenating benefits of a Finnish or steam sauna. 
        Enhance your immune system in an infrared sauna. Immerse yourself in the aromatic essence of herb, eucalyptus, or menthol saunas, and feel the instant refreshment </p>
        <div class="sauna-container">
            <div class="sauna-wrapper">
                <div class="sauna-service">
                    <div class="load"></div>
                </div>
            </div>
            <div class="sauna-wrapper">
                <div class="sauna-text">
                    <p>Eucalyptus sauna</p>
                    <p>45 - 50°C</p>
                </div>
                <div class="sauna-text">
                    <p>Finnish sauna</p>
                    <p>70 - 95°C</p>
                </div>
                <div class="sauna-text">
                    <p>Herbal sauna</p>
                    <p>45 - 50°C</p>
                </div>
                <div class="sauna-text">
                    <p>Infrared sauna</p>
                    <p>40 - 60°C</p>
                </div>
                <div class="sauna-text">
                    <p>Mentol sauna</p>
                    <p>45 - 58°C</p>
                </div>
                <div class="sauna-text">
                    <p>Steam sauna</p>
                    <p>45 - 55°C</p>
                </div>
            </div>
        </div>
    </div>
    

    <!--footer-->
    <?php require('./components/footer.php'); ?>
    <?php require('./components/script.php') ?>
    <script>
        if (".accordion") {
            $(".accordion-slide-label").on("click", function () {
                $(".accordion-slide").removeClass("active");
                $(".accordion-slide").removeClass("accordion-slide-prev");
                $(this).parent().addClass("active");
                if ($(this).parent().prev().not(".accordion-slide-first")) {
                    $(this).parent().prev().addClass("accordion-slide-prev");
                }
            });
        }
    </script>
</body>
</html>