<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Booking | Midtown Hotel</title>
    <?php require('./components/link.php') ?>
    <style>
        input[type=number]{
            -moz-appearance: textfield;
        }
        input::-webkit-outer-spin-button, input::-webkit-inner-spin-button{
            -webkit-appearance: none;
            margin: 0;
        }
        .booking-hero{
            position: relative;
            width: 100%;
            background-color: #194141;
            display: flex;
            flex-direction: column;
            box-shadow: 0px 3px 3px #BFCBCB;
        }
        .booking-title{
            margin: 50px;
            text-align: center;
            text-transform: uppercase;
            font-size: 22px;
            color: #B0A695;
            text-shadow: 1px 1px 2px #EAD8C0;
        }
        .room-book-img{
            width: 100%; 
            height: 550px; 
            object-fit: cover;
        }
        .room-title{
            font-size: 20px; 
            text-transform: uppercase; 
        }
        .btn-third{
            background-color: #194141;
            border: none;
            color: white;
            padding: 6px 12px;
            text-align: center;
            border-radius: 3px;
        }
        .booking-order{
            font-size: 14px;
        }
        @media (max-width:765px){
            .booking-hero{
                height: 100px;
            }
            .booking-body, .booking-head{
                font-size: 12px;
            }
        }
        @media (max-width:580px){
            .room-book-img{ 
                height: 350px;
            }
        }
        @media (max-width:450px){
            .room-title{
                font-size: 16px;
            }
            .booking-body{
                font-size: 10px;
            }
        }
    </style>
</head>
<body>
    <div class="booking-hero">
        <?php 
            require('./components/header.php') ;
            if(!(isset($_SESSION['login']) && $_SESSION['login'] == true)){
                redirect('index.php');
            } 
        ?>
    </div>
    <div class="container mb-5">
        <div class="row">
            <div class="col-12 mt-5 mb-4">
                <h4 style="text-transform: uppercase; letter-spacing: 2px; color: #194141;">Booking<h4>
            </div>

            <?php
                $query = "SELECT bo.*, bd.* FROM `booking_order` bo INNER JOIN `booking_detail` bd ON bo.booking_id = bd.booking_id 
                WHERE ((bo.booking_status ='pending') OR (bo.booking_status ='cancel')) AND (bo.user_id=?) ORDER BY bo.booking_id DESC";

                $result = select($query, [$_SESSION['uerID']], 'i');

                echo <<< data
                <div class='table-responsive col-12'>
                    <table class="table">
                        <thead>
                            <tr class='bg-light booking-head'>
                                <th scope="col" style='width: 20%;'>Date</th>
                                <th scope="col" style='width: 30%;'>Order ID</th>
                                <th scope="col" style='width: 10%;'>Status</th>
                                <th scope="col" style='width: 40%;'>Action</th>
                            </tr>
                        </thead>
                    </table></div>
                data;
                
                while($data = mysqli_fetch_assoc($result)){
                    $date = date("F j, Y", strtotime($data['datentime']));
                    $checkin = date("M-d-Y", strtotime($data['check_in']));
                    $checkout = date("M-d-Y", strtotime($data['check_out']));
                    $status_bg = "";
                    $btn = "";

                    if($data['booking_status'] == 'pending' && $data['arrival'] == 0){
                        $status_bg = "bg-warning";
                        $status = 'Pending';
                        $btn = "
                            <button onclick='cancel_booking($data[booking_id])' type='button' class='badge btn-minor' style='font-weight: 600;'>Cancel</button>
                        ";
                    } else if($data['booking_status'] == 'cancel' && $data['arrival'] == 0){
                        $status_bg = "bg-danger";
                        $status = 'Cancelled';
                    } else if($data['booking_status'] == 'pending' && $data['arrival'] ==1){
                        $status_bg = "bg-success";
                        $status = 'Booked';
                        $btn = "
                            <a href='generate_invoice.php?gen_pdf&id=$data[booking_id]' class='badge btn-minor' ><i class='bx bx-download'></i></a>
                            <button type='button' class='badge btn-main' style='font-weight: 600;'>Review</button>
                        ";
                    }
                    echo <<< data
                    <div class='table-responsive col-12'>
                        <table class="table">
                            <tbody'>
                                <tr class='booking-body'>
                                    <td style='width: 20%;'>$date</td>
                                    <td style='width: 30%;'>$data[order_id]</td>
                                    <td style='width: 10%;'><span class='badge $status_bg'>$status</span></td>
                                    <td style='width: 40%;'>$btn</td>
                                </tr>  
                            </tbody>
                        </table>
                    </div>
                    data;
                }    
            ?>
            
        </div>
    </div>

    <!--footer-->
    <?php require('./components/footer.php'); ?>
    <?php require('./components/script.php') ?>
    <script>
        function cancel_booking(id){
            if(confirm('Are you sure you want to cancel this booking?')){
                let xhr = new XMLHttpRequest();
            xhr.open("POST", "ajax/cancel_booking.php", true);
            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');

            xhr.onload = function(){
                if(this.responseText == 1){
                    window.location.href="user_booking.php?cancel_status=true"
                } else{
                    alert('error', 'Fail to cancel this booking, please try again later!')
                }
            }
            xhr.send('cancel_booking&id='+id);
            }
        }
    </script>
</body>
</html>